AbstractGraphDatabase (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class AbstractGraphDatabase

    java.lang.Object
      org.neo4j.kernel.AbstractGraphDatabase

All Implemented Interfaces:
  GraphDatabaseService, GraphDatabaseAPI

Direct Known Subclasses:
  InternalAbstractGraphDatabase

    public abstract class AbstractGraphDatabase

extends Object
implements GraphDatabaseService, GraphDatabaseAPI

Constructor Summary
`AbstractGraphDatabase()`

Method Summary
`abstract
`<T> T`
` | `getManagementBean(Class<T> type)` Deprecated. since Neo4j may now have multiple beans implementing the same bean interface, this method has been deprecated in favor of `GraphDatabaseAPI.getSingleManagementBean(Class)` and `GraphDatabaseAPI.getManagementBeans(Class)` . Version 1.5 of Neo4j will be the last version to contain this method.
`abstract boolean` | `transactionRunning()` Deprecated. This method is only for internal use. Version 1.9 of Neo4j will be the last version to contain this method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.neo4j.kernel.GraphDatabaseAPI
`getDiagnosticsManager, getGuard, getIdGeneratorFactory, getKernelData, getKernelPanicGenerator, getLockManager, getLockReleaser, getManagementBeans, getMessageLog, getNodeManager, getPersistenceSource, getRelationshipTypeHolder, getSingleManagementBean, getStoreDir, getStoreId, getTxIdGenerator, getTxManager, getXaDataSourceManager, tx`

Methods inherited from interface org.neo4j.graphdb.GraphDatabaseService
`beginTx, createNode, getAllNodes, getNodeById, getReferenceNode, getRelationshipById, getRelationshipTypes, index, registerKernelEventHandler, registerTransactionEventHandler, shutdown, unregisterKernelEventHandler, unregisterTransactionEventHandler`

Constructor Detail

### AbstractGraphDatabase

    public AbstractGraphDatabase()

Method Detail

### transactionRunning

    @Deprecated
    public abstract boolean transactionRunning()

  Deprecated. This method is only for internal use. Version 1.9 of Neo4j will be the last version to contain this method.

### getManagementBean

    @Deprecated
    public abstract <T> T getManagementBean(Class<T> type)

  Deprecated. since Neo4j may now have multiple beans implementing the same bean interface, this method has been deprecated in favor of `GraphDatabaseAPI.getSingleManagementBean(Class)` and `GraphDatabaseAPI.getManagementBeans(Class)` . Version 1.5 of Neo4j will be the last version to contain this method.

  Get a single management bean. Delegates to `GraphDatabaseAPI.getSingleManagementBean(Class)`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.